// subpages/helpDetails/helpDetails.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    helarcid: '',
    mDetails: { content :""}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if (options.id) {
      this.setData({
        helarcid:options.id
      })
      this.getDetails()
    }

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  getDetails() {
    const that = this;
    wx.request({
      url: 'https://aipush.aidsleep.cn/helarcdetail',
      method: 'POST',
      data: {
        tokens: "aa9ebf8360ec36bd0f6cc950b9e2f45e282ae1f93f5d3c56f2ffa6984cd22c66" || wx.getStorageSync('token'),
        udi: wx.getStorageSync('unionid'),
        helarcid: that.data.helarcid
      },
      success: (res) => {
        // console.log(res.data);
        var data = res.data.length ? res.data[0] : {};
        console.log(data);
        this.setData({
          mDetails: data
        })
      },
      fail: () => {
      }
    });
  },
})